Get Alarm For Alarm Id

Get Alarm For Alarm Id

Get Alarm of the Network Function given the alarmId

Request
URI
GET
https://{api_host}/hybridity/api/vnffm/v1/alarms/{alarmId}
COPY
Path Parameters
string
alarmId
Required

alarmId


Authentication
This operation uses the following authentication methods.
Responses
200
Returns SucessAlarmResponse of type(s) application/json
{
    "alarm": {
        "id": "string",
        "entityId": "string",
        "entityName": "string",
        "managedObjectId": "string",
        "vnfInstanceName": "string",
        "vnfInstanceId": "string",
        "nsName": "string",
        "nsInstanceId": "string",
        "perceivedSeverity": "string",
        "alarmRaisedTime": "string",
        "ackState": "string",
        "ackStatus": "string",
        "alarmName": "string",
        "description": "string",
        "acknowledgedByUser": "string",
        "acknowledgedTime": "string",
        "eventTime": "string",
        "eventType": "string",
        "probableCause": "string",
        "isRootCause": false,
        "rowType": "string",
        "errors": [
            "string"
        ]
    },
    "warnings": [
        {
            "message": "string"
        }
    ],
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
alarm
Optional

alarm

array of warning
warnings
Optional

warnings

array of error
errors
Optional

errors


401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

500
Returns InternalServerError of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of error
errors
Optional

errors